local bt=60/127 --beattime, 60 seconds over 127 bpm


return Def.ActorFrame{

	InitCommand=function(self)

		self:sleep(9999)

		--SCREENMAN:SystemMessage("hey")

	end,

	

	Def.ActorFrame{
		Name="gotta_spin",
		
		Def.Sprite{

			Name="waugh",

			Texture="../_Graphics/aaaughtp",

			InitCommand=function(self)

				self:zoom(SCREEN_HEIGHT/720):xy(SCREEN_CENTER_X,SCREEN_HEIGHT+SCREEN_CENTER_Y):rotationy(180)
			end, --InitCommand()
			

			OnCommand=function(self)

				self:linear(bt*2):y(SCREEN_CENTER_Y+200)
				:decelerate(bt*2):y(SCREEN_CENTER_Y+300):zoom(5):diffusealpha(0):rotationz(90)
			end --OnCommand()

			
		} --Def.Sprite
	}
}